Bug Hunting Session
Bug 95698 - xml help validity error in source/text/scalc/01/ful_func.xhp
Summary: xml help validity error in source/text/scalc/01/ful_func.xhp
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Documentation (show other bugs)
Version:
(earliest affected)
5.1.0.0.alpha1
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.1.0
Keywords:
Depends on:
Blocks:
 
Reported: 2015-11-09 11:51 UTC by Andras Timar
Modified: 2016-10-25 19:20 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andras Timar 2015-11-09 11:51:36 UTC
source/text/scalc/01/ful_func.xhp:16: element body: validity error : Element body content does not follow the DTD, expecting (section | paragraph | table | comment | bookmark | switch | embed | list | sort)*, got (comment variable variable comment paragraph paragraph comment paragraph paragraph comment paragraph paragraph variable )
source/text/scalc/01/ful_func.xhp:18: element variable: validity error : Element paragraph is not declared in variable list of possible children
source/text/scalc/01/ful_func.xhp:23: element variable: validity error : Element paragraph is not declared in variable list of possible children
source/text/scalc/01/ful_func.xhp:64: element variable: validity error : Element paragraph is not declared in variable list of possible children
Comment 1 tagezi 2015-11-09 12:16:36 UTC
I agree. The 'variable' must replace to 'section'.

Where can I find a tool to validity documents? Using the make does not show these errors.
Comment 2 Andras Timar 2015-11-09 12:19:13 UTC
I used: 

xmllint --noout --valid source/text/scalc/01/ful_func.xhp --dtdvalid helpers/xmlhelp.dtd 

Of course I do not run xmllint just for fun in my spare time, the bug was found when I tried to convert help to wiki text. :)
Comment 3 tagezi 2015-11-09 13:11:12 UTC
xmllint shows a lot of errors. :(
It requires review.

I have corrected a parent tag for paragraphs.
https://gerrit.libreoffice.org/#/c/19859/
Comment 4 Commit Notification 2015-11-10 12:35:05 UTC
tagezi committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/help/commit/?id=c3b9e2711f3670e3a9f5fdf7abb7e4dca8ea1f2b

tdf#95698 correction a parent tag for paragraphs
Comment 5 Andras Timar 2015-11-13 22:30:43 UTC
It's fixed now.